Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface BasicDiagramEditor

    com.change_vision.jude.api.inf.editor.BasicDiagramEditor

All Superinterfaces:
  DiagramEditor

All Implemented Interfaces:
  DiagramEditor

All Known Implementing Classes:
  ActivityDiagramEditor, BehaviorDiagramEditor, ClassDiagramEditor, CompositeStructureDiagramEditor, ERDiagramEditor, RequirementDiagramEditor, SequenceDiagramEditor, StateMachineDiagramEditor, StructureDiagramEditor, UseCaseDiagramEditor

    public BasicDiagramEditor

extends DiagramEditor

Interface to edit (create/delete) basic diagrams. Throws Exception when invalid models are generated.

Method Summary
`abstract INodePresentation` | `createNote(String note, Point2D location)` Create a Note Presentation.
`abstract ILinkPresentation` | `createNoteAnchor(INodePresentation note, IPresentation annotatedPresentation)` Create a NoteAnchor Presentation.
`abstract ILinkPresentation` | `createNoteAnchor(INodePresentation note, IPresentation annotatedPresentation, IElement annotatedElement)` Create a NoteAnchor Presentation.

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createNote

    abstract INodePresentation createNote(String note,
                                          Point2D location)

  Create a Note Presentation.

  Parameters:
    `note` - charactors of Note
    `location` - location
  Returns:
    Note Presentaion.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createNoteAnchor

    abstract ILinkPresentation createNoteAnchor(INodePresentation note,
                                                IPresentation annotatedPresentation)

  Create a NoteAnchor Presentation.

  Parameters:
    `note` - model of Note.
    `annotatedPresentation` - presentation with comments.
  Returns:
    NoteAnchor Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createNoteAnchor

    abstract ILinkPresentation createNoteAnchor(INodePresentation note,
                                                IPresentation annotatedPresentation,
                                                IElement annotatedElement)

  Create a NoteAnchor Presentation.

  Parameters:
    `note` - model of Note.
    `annotatedPresentation` - presentation with comments.
    `annotatedElement` - element with comments.
  Returns:
    NoteAnchor Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD